package com.java.code.geeks.jdbcconnection.example;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;

import com.mysql.jdbc.Statement;

public class App {
	
	public static void main(String[] args) throws SQLException {
		Statement stmt = null;
		Connection conn = ConnectionObject.getConnection();
		//We have a table PERSONS in the localhost:3306/test database
		String SQLQuery = "select * from test.PERSONS where firstName like '%Eli%'";
		String fName, lName;
		ResultSet rs = null;
		try {
			stmt = (Statement) conn.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE,
                    ResultSet.CONCUR_UPDATABLE);
			rs = stmt.executeQuery(SQLQuery);
			if(rs.next()){
			  fName = rs.getString("firstName");
			  lName = rs.getString("lastName");			
			  System.out.println("The name of the person is: "+ fName+" "+ lName);
			}
		} catch (SQLException e) {			
			e.printStackTrace();
		}finally{
			stmt.close();
		}

	}

}
